# DeleteJob

Delete a job

`DELETE /api/v2/companies/{companyId}/jobs/{id}`

**API:** AvaTax API
**Tag:** Jobs
**API Version:** v2
**Base URL:** https://sandbox-rest.avatax.com/
**Accepts:** `application/json`
**Authentication:** API Key (`Authorization` in header) or OAuth 2.0 or Basic (username + license key)

Source: https://developer.avalara.com/products/avatax/api/methods/Jobs/DeleteJob/

## Description

### Security Policies

* This API requires one of the following user roles: AccountAdmin, AccountOperator, AccountUser, AvaTaxOnlyAccountAdmin, AvaTaxOnlyAccountUser, AvaTaxOnlyCompanyAdmin, AvaTaxOnlyCompanyUser, BatchServiceAdmin, CompanyAdmin, CompanyUser, CSPTester, SSTAdmin, TechnicalSupportAdmin.
* This API depends on the following active services:*Required* (all):  AvaTaxPro, ECMEssentials, ECMPro, ECMPremium, VEMPro, VEMPremium, ECMProComms, ECMPremiumComms.

## Parameters

| Name | Type | In | Required | Description |
|---|---|---|---|---|
| `companyId` | integer | path | Yes | The unique ID number of the company |
| `id` | integer | path | Yes | The unique ID number of the job to delete |
| `X-Avalara-Client` | string | header | No | Identifies the software you are using to call this API.  For more information on the client header, see [Client Headers](https://developer.avalara.com/avatax/client-headers/) . |

## Responses

| Status | Description | Schema |
|---|---|---|
| 200 | Success | `JobModel` |
| 400 | Bad Request | `ProblemDetails` |
| 401 | Unauthorized | `ProblemDetails` |
| 404 | Not Found | `ProblemDetails` |

### 200 Response: `JobModel`

A job associated with a certificate or customer. Used for $include=jobs on certificate/customer
fetch APIs, and as the request/response body for the standalone Jobs CRUD endpoints.

| Property | Type | Required | Description |
|---|---|---|---|
| `id` | integer | No | The unique ID number of this job. Example: `1`. |
| `jobNumber` | string | No | The job number of this job. Example: `J-1`. |
| `name` | string | No | The name of this job. Example: `Bridge Inspection`. |
| `createdDate` | string | No | The date when this job was created. Example: `2026-02-23T04:39:19Z`. |
| `modifiedDate` | string | No | The date when this job was last modified. Example: `2026-02-23T04:39:19Z`. |
| `exposureZone` | ExposureZoneModel | No | The exposure zone associated with this job.
On input, only `id` is required. |
| `phases` | JobPhaseModel[] | No | A list of phases associated with this job.
            
You can fetch this data by specifying `$include=phases` when calling a job fetch API.
Use `$include=phases,tasks` to also expand the tasks within each phase. |

## Example Request

```bash
curl -X DELETE "https://sandbox-rest.avatax.com/api/v2/companies/{companyId}/jobs/{id}" \
  -H "Authorization: Basic <credentials>" \
  -H "Accept: application/json"
```